# Get a profile by short ID

Returns one public profile for a Douyin `short_id`.

- Platform: Douyin V2
- Request: `GET https://api.toolzerhub.com/v2/douyin/profiles/info/by-short-id`
- Auth: `x-api-key` header
- Cost: 2 credits per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/douyin-v2/profiles/get-douyin-user-info-by-short-id

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `short_id` | query | yes | string | Douyin short id. |

## Example request

```bash
curl "https://api.toolzerhub.com/v2/douyin/profiles/info/by-short-id?short_id=<short_id>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
